/* D-RexGxt - D-RexGxt - GUI Design Tool for GWT
 * Copyright (c) 2008,  KPS Corporation
 * All rights reserved.
 *
 * Open Source License
 * ------------------------------------------------------------------------------------------
 * D-RexGxt is licensed under the terms of the Open Source GPL 3.0 license.
 *
 * http://www.gnu.org/licenses/gpl.html
 *
 * --
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */
package jp.co.kpscorp.gwt.client.design.gxt.widget;

import com.extjs.gxt.ui.client.event.BaseEvent;
import com.extjs.gxt.ui.client.widget.Component;
import com.extjs.gxt.ui.client.widget.Container;
import com.extjs.gxt.ui.client.widget.LayoutContainer;
import com.extjs.gxt.ui.client.widget.layout.AccordionLayout;

public class AccordionLayoutWidget extends FitLayoutWidget {
	private AccordionLayout layout;

	public AccordionLayoutWidget(AccordionLayout layout, LayoutContainer container) {
		super(layout, container);
		this.layout = layout;
	}

	public boolean fireEvent(int eventType, BaseEvent be) {
		return layout.fireEvent(eventType, be);
	}

	public boolean fireEvent(int eventType) {
		return layout.fireEvent(eventType);
	}

	public boolean getActiveOnTop() {
		return layout.getActiveOnTop();
	}

	public boolean getAutoWidth() {
		return layout.getAutoWidth();
	}

	public String getExtraStyle() {
		return layout.getExtraStyle();
	}

	public boolean getFill() {
		return layout.getFill();
	}

	public boolean getFiresEvents() {
		return layout.getFiresEvents();
	}

	public boolean getHideCollapseTool() {
		return layout.getHideCollapseTool();
	}

	public int getResizeDelay() {
		return layout.getResizeDelay();
	}

	public boolean getTitleCollapse() {
		return layout.getTitleCollapse();
	}

	public boolean isRenderHidden() {
		return layout.isRenderHidden();
	}

	public void setActiveItem(Component item) {
		layout.setActiveItem(item);
	}

	public void setActiveOnTop(boolean activeOnTop) {
		layout.setActiveOnTop(activeOnTop);
	}

	public void setAutoWidth(boolean autoWidth) {
		layout.setAutoWidth(autoWidth);
	}

	public void setContainer(Container ct) {
		layout.setContainer(ct);
	}

	public void setExtraStyle(String extraStyle) {
		layout.setExtraStyle(extraStyle);
	}

	public void setFill(boolean fill) {
		layout.setFill(fill);
	}

	public void setFiresEvents(boolean firesEvents) {
		layout.setFiresEvents(firesEvents);
	}

	public void setHideCollapseTool(boolean hideCollapseTool) {
		layout.setHideCollapseTool(hideCollapseTool);
	}

	public void setRenderHidden(boolean renderHidden) {
		layout.setRenderHidden(renderHidden);
	}

	public void setResizeDelay(int resizeDelay) {
		layout.setResizeDelay(resizeDelay);
	}

	public void setTitleCollapse(boolean titleCollapse) {
		layout.setTitleCollapse(titleCollapse);
	}

}
